/** Klasa reprezentujaca os wartosci dla danego przymiotnika */
public class Adverb   
{
	//PUBLICZNE

	public String m_sName;
	
	// KONSTRUKTORY
	Adverb(String sName) 
	{
		m_sName=sName;	
		m_values = new java.util.Vector();
	}
	
	//INTERFEJS
	public void AddValue(String sValue)
	{
		m_values.addElement(sValue);			 
	}
	public String GetValue(int nIndex)
	{
		return (String)m_values.elementAt(nIndex);
	}
	
	/** Sprawdza w danym przymiotniku jest zdefiniowana wartosc
	 *  sValue
	 */
	public boolean IsValue(String sValue)
	{
        boolean bIsValue = false;
		String  sBuffer;
		int nSize = m_values.size();

		for(int i=0; i<nSize; i++)
		{
		    	sBuffer = (String)m_values.elementAt(i);
				if( sBuffer.equals(sValue))
			    {
				   bIsValue=true;
				   break;
			    }
		}
		return bIsValue;
	}
	/** Zwraca liczbe zdefiniowanych wartosci */
	public int GetSize()
	{
		return m_values.size();
	}
	
	/** wyswietla sie w logu	 */
	void Show()
	{
		if(m_values==null)
		{
			GameObject.LogLine("   - null ");
			return;
		}
		for(int i=0;i<m_values.size();i++)
		{
   		   	String sBuffer = (String)m_values.elementAt(i);			
			GameObject.LogLine("   - "+sBuffer);
		}
	}

	//DANE
	protected java.util.Vector m_values;
    
    void delete()
    {
        if (m_values != null)
            m_values.removeAllElements();
        m_values = null;
    }

}
