
/** Flagi typow API dzwiekowego
 * Uwaga: Definicje musza byc zgodne z definicjami w Audio.h
 */

public class ESoundAPI
{
    final static int NO_SOUND    = 0;
    final static int DSOUND3D    = 3;
    final static int AUREAL3D    = 4;
    
    static String GetFlagName(int nFlag)
    {
        String sRet = "__UNKNOWN FLAG____";
        switch (nFlag)
        {
            case NO_SOUND:
                sRet = "NO_SOUND";
                break;
            case DSOUND3D:
                sRet = "DSOUND3D";
                break;
            case AUREAL3D:
                sRet = "AUREAL3D";
                break;
        }
        return sRet;
    }
}
