
/** Flagi jakosci tekstur
 * Uwaga: Definicje musza byc zgodne z definicjami w TexManager.hpp
 */

public class ETextureQuality
{
    final static int DONT_CARE        = 0x0001;
    final static int VERY_LOW         = 0x0002;
    final static int LOW              = 0x0003;
    final static int NORMAL           = 0x0004;
    final static int HIGH             = 0x0005;
    
    static String GetFlagName(int nFlag)
    {
        String sRet = "__UNKNOWN FLAG____";
        switch (nFlag)
        {
            case VERY_LOW:
                sRet = "VERY_LOW";
                break;
            case LOW:
                sRet = "LOW";
                break;
            case NORMAL:
                sRet = "NORMAL";
                break;
            case HIGH:
                sRet = "HIGH";
                break;
        }
        return sRet;
    }
}
