public class FXSky extends FX
{
	static final float l_FlareSize = 10000.0f;
		  
    FXSky()
    {
        LensFlare("SkyFlare");
		{
			Texture("SunFlares");
				
			Position();
			{
				v(0,0,0);
			}

			FlareLensCount(8);
			FlareFade(100, 100);
			FlareRange(100000, 0);
			FlareLensSize(l_FlareSize, l_FlareSize);
            FlareFirstLen("SunGlow", 45000.0f);

            Expl();
			{
				Duration(1.0);
				Texture("Sun");
				TextureRepeat(1);
				TowardsToCamera(1);
				BlendMode(_BLEND_ADD);
                NoFog();
				Position();
				{
					v(0,0,0) ;
				}
				                
				Rotation();
				{
					v(0,0,0) ;
				}
				                
				Size();
				{
					v(15000.0f, 15000.0f);
				}
			}
		}
		
		Blind( "SkyBlind" );
		{
			BlindBlendType( 0 );
			BlindColor();
			{
				v(0.85f, 0.85f, 0.85f, 1);
			}
			
			Duration( 9000000.0f );
		}

    }
}
