public class act_Accomplish extends Action
{
    {sEditorComment = "Action of change object state to (un)accomplished";}
    
    public iact_Accomplish cTarget = null;//#;Object that state is to be modified
    
    public EnumAccomplish cType = new EnumAccomplish(EnumAccomplish._ACCOMPLISH);//#;Type of action
    
    public void InvokeAction()
    {
        if (cTarget == null)
            return;
        
        int nType = cType.GetValue();
        if (nType == EnumAccomplish._ACCOMPLISH)
            cTarget.Accomplish();
        if (nType == EnumAccomplish._UNACCOMPLISH)
            cTarget.Unaccomplish();
    }
}
