public class act_EnableDisable extends Action
{
    {sEditorComment = "Action of enabling object specified by cTarget";}
    
    public iact_EnableDisable cTarget = null;//#;Object to be enabled
    public iact_EnableDisable[] aTargets = null;//#;Objects to be enabled
    
    public EnumEnableDisable cType = new EnumEnableDisable(EnumEnableDisable._ENABLE);//#;Type of action
    
    public void InvokeAction()
    {
        int nType = cType.GetValue();
        
        if(cTarget != null)
        {
            if( nType == EnumEnableDisable._ENABLE) cTarget.Enable();
            if( nType == EnumEnableDisable._DISABLE) cTarget.Disable();
        }
        
        if(aTargets != null)
        {
            if( nType == EnumEnableDisable._ENABLE)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].Enable();
            
            if( nType == EnumEnableDisable._DISABLE)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].Disable();
        }
    }
}
