public class act_Freeze extends Action
{
    {sEditorComment = "Action of change object state to (un)frozen";}
    
    public iact_Freeze cTarget = null;//#;Object that state is to be modified
    public iact_Freeze[] aTargets = null;//#;Objects that state is to be modified
    
    public EnumFreeze cType = new EnumFreeze(EnumFreeze._FREEZE);//#;Type of action
    
    public void InvokeAction()
    {
        int nType = cType.GetValue();

        if (cTarget != null)
        {
            if (nType == EnumFreeze._FREEZE) cTarget.Freeze();
            if (nType == EnumFreeze._UNFREEZE) cTarget.Unfreeze();
        }
        
        if(aTargets != null)
        {
            if( nType == EnumFreeze._FREEZE)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].Freeze();
            
            if( nType == EnumFreeze._UNFREEZE)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].Unfreeze();
        }
    }
}
