public class ObjectRefList
{
    /** Tekstowa lista identyfikatorow */
    public String sList = "";
    
    /** Tablica z obiektami */
    private GameObject[] aObjects=null;
    
    /** Pobranie ilosci obiektow na liscie
     */
    public int GetObjectsCount()
    {
        return aObjects.length;
    }
    
    /** Pobranie n-tego obiektu z listy
     */
    public GameObject GetObject(int n)
    {
        return n<aObjects.length ? aObjects[n] : null;
    }
    
    /** Metoda wolana w celu pobrania obiektow
     */
    void Validate(Module cModule)
    {
        java.util.StringTokenizer cT = new java.util.StringTokenizer(sList, ";");
        
        aObjects = new GameObject[ cT.countTokens() ];
//GameObject.CrashLog("sList='"+sList+"' nElems="+aObjects.length+"\n");
        int i=0;
        while(cT.hasMoreTokens())
        {
            String sID = cT.nextToken();
            try {
                int nID = Integer.decode(sID).intValue();
                aObjects[i++] = cModule.GetObjectByID(nID);
            } catch(NumberFormatException e) {
            }
            
        }
    }
}
