public class Context
{
     //KONSTRUKTORY
	 Context(int nDimension)
	 {
          m_advVector = new java.util.Vector(); 
	 	  String sInitValue= new String(EAnimal._NO_DEFINED);
	   for (int i=0;i<nDimension;i++)
		      m_advVector.addElement(sInitValue);
	 }
	
	//INTERFEJS

	 /** Ustawia wartosc sValue dla przymiotnka nInd 
	 */
	public void SetValue(int nInd, String sValue)
	{
		 m_advVector.setElementAt(sValue, nInd);
	}
	/** Ustawia  wartosc sValue dla przymiotnika o nazwie sValue, korzystajac
	  * z przestrzeni przymiotnikow advSpace
    */
	public void SetValue(String sAdverb, String sValue, AdverbSpace advSpace)
	{ 
	      int nInd=advSpace.GetIndex(sAdverb);
		  if( nInd!=-1)
			  this.SetValue(nInd,sValue);
	}
    /**	 Zwraca wartosc przymiotnika nInd 
     */
	public String GetValue(int nInd)
	{        
	    return (String)m_advVector.elementAt(nInd);
	}
    /**	 Zwraca wartosc przymiotnika o nazwie sAdverb, korzystajac
   	* z przestrzeni przymiotnikow advSpace
    */	
	public String GetValue(String sAdverb, AdverbSpace advSpace)
	{
        int nInd=advSpace.GetIndex(sAdverb);
   	    return this.GetValue(nInd);
	}
    public boolean IsValue(String sAdverb, String sValue, AdverbSpace advSpace)
	{
		int nInd=advSpace.GetIndex(sAdverb);
		 if( nInd==-1)
			  return false;
		return ((String)m_advVector.elementAt(nInd)).equals(sValue);
	}
	/** Zwraca wymiar kontekstu
	 */
	public int GetDimension()
	{
	  return 	m_advVector.size();
	}
	
	/** wypisuje sie do loga	 */
	void Show()
	{
		if(m_advVector==null)
		{
			GameObject.LogLine("             + null ");
			return;
		}
		for(int i=0;i<m_advVector.size();i++)
		{
   		   	String sBuffer = (String)m_advVector.elementAt(i);			
			GameObject.LogLine("                        + "+sBuffer);
		}
	}		
	
	//DANE
	protected java.util.Vector m_advVector;
    
    void delete()
    {
        if (m_advVector != null)
            m_advVector.removeAllElements();
        m_advVector = null;        
    }
}
