import java.lang.reflect.*;

/** Interface implementowany w klasach enumeratorow */
public class Enum
{
    int nValue = -1;
    
    Enum(int nVal) { nValue = nVal; }
    //do skopiowania do klas pochodnych od enum "(int nVal) { super(nVal); }"
    
    int GetValue()
    {
        return nValue;
    }
    
    public String toString()
    {
        Field[] aFields = getClass().getFields();
        for(int i=0; i<aFields.length; ++i)
            if( Modifier.isStatic(aFields[i].getModifiers()))
            {
                try {
                    // sprawdzamy wartosc pola
                    int nFieldValue = aFields[i].getInt(this);
                    
                    if(nFieldValue == nValue)
                        return aFields[i].getName();
                            
                } catch (Exception e) {
                    // jakis ciumok zrobil w enumie cos co nie jest intem!
                }
            }
        return "invalid enum: "+nValue;
    }
}
