public class EBlendingModes
{
    final static int S_BSRC_ONE =                 0x00000100;
    final static int S_BSRC_ZERO =                0x00000200;
    final static int S_BSRC_SRC_ALPHA =           0x00000300;
    final static int S_BSRC_ONE_MINUS_SRC_ALPHA = 0x00000400;
    final static int S_BSRC_DST_COLOR =           0x00000500;
    final static int S_BSRC_ONE_MINUS_DST_COLOR = 0x00000600;
    final static int S_BSRC_DST_ALPHA =           0x00000700;
    final static int S_BSRC_ONE_MINUS_DST_ALPHA = 0x00000800;
    final static int S_BSRC_SRC_ALPHA_SATURATE =  0x00000900;
    final static int S_BSRC_FIELD =               0x00000f00;

    final static int S_BDST_ONE =                 0x00001000;
    final static int S_BDST_ZERO =                0x00002000;
    final static int S_BDST_SRC_COLOR =           0x00003000;
    final static int S_BDST_ONE_MINUS_SRC_COLOR = 0x00004000;
    final static int S_BDST_SRC_ALPHA =           0x00005000;
    final static int S_BDST_ONE_MINUS_SRC_ALPHA = 0x00006000;
    final static int S_BDST_DST_ALPHA =           0x00007000;
    final static int S_BDST_ONE_MINUS_DST_ALPHA = 0x00008000;
    final static int S_BDST_FIELD =               0x0000f000;
    
    final static int S_BLEND_MIX = S_BSRC_SRC_ALPHA | S_BDST_ONE_MINUS_SRC_ALPHA;
    final static int S_BLEND_ADD = S_BSRC_ONE | S_BDST_ONE;
    final static int S_BLEND_MUL=S_BSRC_DST_COLOR|S_BDST_ZERO;
    final static int S_BLEND_SATURATE = S_BSRC_SRC_ALPHA | S_BDST_ONE;
    final static int S_BLEND_FIELD = S_BDST_FIELD | S_BSRC_FIELD;
    
    /*
    static String GetFlagName(int nFlag)
    {
        String sRet = "__UNKNOWN FLAG____";
        switch (nFlag)
        {
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;
            case :
                sRet = "";
                break;    
        }
        return sRet;
    }*/
}
