/** Zawiera kody klawiszy wedlug DInput v6.0*/
class EKey
{
    final static int _NONE            =0x00;

    final static int _ESCAPE          =0x01;
    final static int _1               =0x02;
    final static int _2               =0x03;
    final static int _3               =0x04;
    final static int _4               =0x05;
    final static int _5               =0x06;
    final static int _6               =0x07;
    final static int _7               =0x08;
    final static int _8               =0x09;
    final static int _9               =0x0A;
    final static int _0               =0x0B;
	
	/** '-' on main keyboard */
    final static int _MINUS           =0x0C;
    final static int _EQUALS          =0x0D;
	
	/** backspace */
    final static int _BACK            =0x0E;
    final static int _TAB             =0x0F;
    final static int _Q               =0x10;
    final static int _W               =0x11;
    final static int _E               =0x12;
    final static int _R               =0x13;
    final static int _T               =0x14;
    final static int _Y               =0x15;
    final static int _U               =0x16;
    final static int _I               =0x17;
    final static int _O               =0x18;
    final static int _P               =0x19;
    final static int _LBRACKET        =0x1A;
    final static int _RBRACKET        =0x1B;
	
	/** Enter on main keyboard */
    final static int _RETURN          =0x1C;
    final static int _LCONTROL        =0x1D;
    final static int _A               =0x1E;
    final static int _S               =0x1F;
    final static int _D               =0x20;
    final static int _F               =0x21;
    final static int _G               =0x22;
    final static int _H               =0x23;
    final static int _J               =0x24;
    final static int _K               =0x25;
    final static int _L               =0x26;
    final static int _SEMICOLON       =0x27;
    final static int _APOSTROPHE      =0x28;
	
	/** Accent grave */
    final static int _GRAVE           =0x29;
    final static int _LSHIFT          =0x2A;
    final static int _BACKSLASH       =0x2B;
    final static int _Z               =0x2C;
    final static int _X               =0x2D;
    final static int _C               =0x2E;
    final static int _V               =0x2F;
    final static int _B               =0x30;
    final static int _N               =0x31;
    final static int _M               =0x32;
    final static int _COMMA           =0x33;
	
	/** '.' on main keyboard */
    final static int _PERIOD          =0x34    ;
	
	/** '/' on main keyboard */
    final static int _SLASH           =0x35    ;
    final static int _RSHIFT          =0x36;
	
	/** '*' on numeric keypad */
    final static int _MULTIPLY        =0x37    ;
	
	/** left Alt */
    final static int _LMENU           =0x38    ;
    final static int _SPACE           =0x39;
    final static int _CAPITAL         =0x3A;
    final static int _F1              =0x3B;
    final static int _F2              =0x3C;
    final static int _F3              =0x3D;
    final static int _F4              =0x3E;
    final static int _F5              =0x3F;
    final static int _F6              =0x40;
    final static int _F7              =0x41;
    final static int _F8              =0x42;
    final static int _F9              =0x43;
    final static int _F10             =0x44;
    final static int _NUMLOCK         =0x45;
	
	/** Scroll Lock */
    final static int _SCROLL          =0x46    ;
    final static int _NUMPAD7         =0x47;
    final static int _NUMPAD8         =0x48;
    final static int _NUMPAD9         =0x49;
	
	/** '-' on numeric keypad */
    final static int _SUBTRACT        =0x4A    ;
    final static int _NUMPAD4         =0x4B;
    final static int _NUMPAD5         =0x4C;
    final static int _NUMPAD6         =0x4D;
	
	/** '+' on numeric keypad */
    final static int _ADD             =0x4E    ;
    final static int _NUMPAD1         =0x4F;
    final static int _NUMPAD2         =0x50;
    final static int _NUMPAD3         =0x51;
    final static int _NUMPAD0         =0x52;
	
	/** '.' on numeric keypad */
    final static int _DECIMAL         =0x53    ;
	
	/** &lt &gt | on UK/Germany keyboards */
    final static int _OEM_102         =0x56    ;
    final static int _F11             =0x57;
    final static int _F12             =0x58;
    
	/**                     (NEC PC98) */
    final static int _F13             =0x64    ;
	
	/**                     (NEC PC98) */
    final static int _F14             =0x65    ;
	
	/**                     (NEC PC98) */
    final static int _F15             =0x66    ;

	/** (Japanese keyboard)            */
    final static int _KANA            =0x70    ;
	
	/** / ? on Portugese (Brazilian) keyboards */
    final static int _ABNT_C1         =0x73    ;
	
	/** (Japanese keyboard)            */
    final static int _CONVERT         =0x79    ;
	
	/** (Japanese keyboard)            */
    final static int _NOCONVERT       =0x7B    ;
	
	/** (Japanese keyboard)            */
	final static int _YEN             =0x7D    ;
	
	/** Numpad '.' on Portugese (Brazilian) keyboards */
    final static int _ABNT_C2         =0x7E    ;
	
	/** '=' on numeric keypad (NEC PC98) */
    final static int _NUMPADEQUALS    =0x8D    ;
	
	/** Previous Track (DIK_CIRCUMFLEX on Japanese keyboard) */
    final static int _PREVTRACK       =0x90    ;
	
    /**                     (NEC PC98) */
	final static int _AT              =0x91    ;
	
	/**                     (NEC PC98) */
    final static int _COLON           =0x92    ;
	
	/**                     (NEC PC98) */
    final static int _UNDERLINE       =0x93    ;
	
	/** (Japanese keyboard)            */
    final static int _KANJI           =0x94    ;
	
	/**                     (NEC PC98) */
    final static int _STOP            =0x95    ;
	
	/**                     (Japan AX) */
    final static int _AX              =0x96    ;
	
	/**                        (J3100) */
    final static int _UNLABELED       =0x97    ;
	
	/** Next Track */
    final static int _NEXTTRACK       =0x99    ;
	
	/** Enter on numeric keypad */
    final static int _NUMPADENTER     =0x9C    ;
    final static int _RCONTROL        =0x9D;
	
	/** Mute */
    final static int _MUTE            =0xA0    ;
	
	/** Calculator */
    final static int _CALCULATOR      =0xA1    ;
	
	/** Play / Pause */
    final static int _PLAYPAUSE       =0xA2    ;
	
	/** Media Stop */
    final static int _MEDIASTOP       =0xA4    ;
	
	/** Volume - */
    final static int _VOLUMEDOWN      =0xAE    ;
	
	/** Volume + */
    final static int _VOLUMEUP        =0xB0    ;
	
	/** Web home */
    final static int _WEBHOME         =0xB2    ;
	
	/** ',' on numeric keypad (NEC PC98) */
    final static int _NUMPADCOMMA     =0xB3    ;
	
	/** '/' on numeric keypad */
    final static int _DIVIDE          =0xB5    ;
    final static int _SYSRQ           =0xB7;
	
	/** right Alt */
    final static int _RMENU           =0xB8    ;
	
	/** Pause */
    final static int _PAUSE           =0xC5    ;
	
	/** Home on arrow keypad */
    final static int _HOME            =0xC7    ;
	
	/** UpArrow on arrow keypad */
    final static int _UP              =0xC8    ;
	
	/** PgUp on arrow keypad */
    final static int _PRIOR           =0xC9    ;
	
	/** LeftArrow on arrow keypad */
    final static int _LEFT            =0xCB    ;
	
	/** RightArrow on arrow keypad */
    final static int _RIGHT           =0xCD    ;
	
	/** End on arrow keypad */
    final static int _END             =0xCF    ;
	
	/** DownArrow on arrow keypad */
    final static int _DOWN            =0xD0    ;
	
	/** PgDn on arrow keypad */
    final static int _NEXT            =0xD1    ;
	
	/** Insert on arrow keypad */
    final static int _INSERT          =0xD2    ;
	
	/** Delete on arrow keypad */
    final static int _DELETE          =0xD3    ;
	
	/** Left Windows key */
    final static int _LWIN            =0xDB    ;
	
	/** Right Windows key */
    final static int _RWIN            =0xDC    ;
	
	/** AppMenu key */
    final static int _APPS            =0xDD    ;
	
	/** System Power */
    final static int _POWER           =0xDE    ;
	
	/** System Sleep */
    final static int _SLEEP           =0xDF    ;
	
	/** System Wake */
    final static int _WAKE            =0xE3    ;
	
	/** Web Search */
    final static int _WEBSEARCH       =0xE5    ;
	
	/** Web Favorites */
    final static int _WEBFAVORITES    =0xE6    ;
	
	/** Web Refresh */
    final static int _WEBREFRESH      =0xE7    ;
	
	/** Web Stop */
    final static int _WEBSTOP         =0xE8    ;
	
	/** Web Forward */
    final static int _WEBFORWARD      =0xE9    ;
	
	/** Web Back */
    final static int _WEBBACK         =0xEA    ;
	
	/** My Computer */
    final static int _MYCOMPUTER      =0xEB    ;
	
	/** Mail */
    final static int _MAIL            =0xEC    ;
	
	/** Media Select */
    final static int _MEDIASELECT     =0xED    ;
    
    /**Mouse Button1*/
    final static int _MOUSE_BUTTON1   = 0xF000   ;
    
    /**Mouse Button2*/
    final static int _MOUSE_BUTTON2   = 0xF001   ;
    
    /**Mouse Button3*/
    final static int _MOUSE_BUTTON3   = 0xF002   ;
    
  
    final static int _MOUSE_WHEEL_UP  = 0xF1;
    
    final static int _MOUSE_WHEEL_DN  = 0xF2;
    /** Metoda zwraca stringa reprezentujacego podany kod klawisza
     * TODO: dopisac wartosci dla wszystkich klawiszy, w tej chwili
     * sa uwzglednione tylko te najistotniejsze, ponadto zastanowic
     * sie jak maja byc reprezentowane takie klawisze jak Shift,
     * Ctrl, itp...
     */
    String GetName(int nKey)
    {
        String sName="";
        
        switch (nKey)
        {
        case _NONE            :sName="";break;  

        case _ESCAPE          :sName="ESC";break;
        case _1               :sName="1";break;
        case _2               :sName="2";break;
        case _3               :sName="3";break;
        case _4               :sName="4";break;
        case _5               :sName="5";break;
        case _6               :sName="6";break;
        case _7               :sName="7";break;
        case _8               :sName="8";break;
        case _9               :sName="9";break;
        case _0               :sName="0";break;
	
	    /** '-' on main keyboard */
        case _MINUS           :sName="-";break;
        case _EQUALS          :sName="=";break;
	
	    /** backspace */
        case _BACK            :sName="BACKSPACE";break;
        case _TAB             :sName="TAB";break;
        case _Q               :sName="Q";break;
        case _W               :sName="W";break;
        case _E               :sName="E";break;
        case _R               :sName="R";break;
        case _T               :sName="T";break;
        case _Y               :sName="Y";break;
        case _U               :sName="U";break;
        case _I               :sName="I";break;
        case _O               :sName="O";break;
        case _P               :sName="P";break;
        case _LBRACKET        :sName="<";break;
        case _RBRACKET        :sName=">";break;
	
	    /** Enter on main keyboard */
        case _RETURN          :sName="ENTER";break;
        case _LCONTROL        :sName="LCONTROL";break;
        case _A               :sName="A";break;
        case _S               :sName="S";break;
        case _D               :sName="D";break;
        case _F               :sName="F";break;
        case _G               :sName="G";break;
        case _H               :sName="H";break;
        case _J               :sName="J";break;
        case _K               :sName="K";break;
        case _L               :sName="L";break;
        case _SEMICOLON       :sName=":";break;
        case _APOSTROPHE      :sName="'";break;
	
	    /** Accent grave */
        case _GRAVE           :sName="";break;
        case _LSHIFT          :sName="LSHIFT";break;
        case _BACKSLASH       :sName="\\";break;
        case _Z               :sName="Z";break;
        case _X               :sName="X";break;
        case _C               :sName="C";break;
        case _V               :sName="V";break;
        case _B               :sName="B";break;
        case _N               :sName="N";break;
        case _M               :sName="M";break;
        case _COMMA           :sName=",";break;
	    /** '.' on main keyboard */
        case _PERIOD          :sName=".";break;
	
	    /** '/' on main keyboard */
        case _SLASH           :sName="/";break;
        case _RSHIFT          :sName="RSHIFT";break;
	   
	
	    /** left Alt */
        case _LMENU           :sName="LMENU";break;
        case _SPACE           :sName="SPACE";break;
        case _CAPITAL         :sName="CAPITAL";break;
        case _F1              :sName="F1";break;
        case _F2              :sName="F2";break;
        case _F3              :sName="F3";break;
        case _F4              :sName="F4";break;
        case _F5              :sName="F5";break;
        case _F6              :sName="F6";break;
        case _F7              :sName="F7";break;
        case _F8              :sName="F8";break;
        case _F9              :sName="F9";break;
        case _F10             :sName="F10";break;
        case _F11             :sName="F11";break;
        case _F12             :sName="F12";break;
                               
        case _NUMLOCK         :sName="NUMLOCK";break;
	    /** Scroll Lock */
        case _SCROLL          :sName="SCROLL";break;
        
        case _NUMPAD0         :sName="NUMPAD0";break;                               
        case _NUMPAD1         :sName="NUMPAD1";break;
        case _NUMPAD2         :sName="NUMPAD2";break;
        case _NUMPAD3         :sName="NUMPAD3";break;
        case _NUMPAD4         :sName="NUMPAD4";break;
        case _NUMPAD5         :sName="NUMPAD5";break;
        case _NUMPAD6         :sName="NUMPAD6";break;
        case _NUMPAD7         :sName="NUMPAD7";break;
        case _NUMPAD8         :sName="NUMPAD8";break;
        case _NUMPAD9         :sName="NUMPAD9";break;
	
        /** '*' on numeric keypad */
        case _MULTIPLY        :sName="NUMPAD*";break;
	    /** '-' on numeric keypad */
        case _SUBTRACT        :sName="NUMPAD-";break;
	    /** '+' on numeric keypad */
        case _ADD             :sName="NUMPAD+";break;
	    /** '.' on numeric keypad */
        case _DECIMAL         :sName="NUMPAD.";break;
	    /** '/' on numeric keypad */
        case _DIVIDE          :sName="NUMPAD/";break;
                               
	    /** &lt &gt | on UK/Germany keyboards */
        case _OEM_102         :sName="OEM102";break;
            
	    /**                     (NEC PC98) */
        case _F13             :sName="F13";break;
	    /**                     (NEC PC98) */
        case _F14             :sName="F14";break;
	    /**                     (NEC PC98) */
        case _F15             :sName="F15";break;

	    /** (Japanese keyboard)            */
        case _KANA            :sName="";break;
	
	    /** / ? on Portugese (Brazilian) keyboards */
        case _ABNT_C1         :sName="";break;
	
	    /** (Japanese keyboard)            */
        case _CONVERT         :sName="";break;
	
	    /** (Japanese keyboard)            */
        case _NOCONVERT       :sName="";break;
	
	    /** (Japanese keyboard)            */
	    case _YEN             :sName="";break;
	
	    /** Numpad '.' on Portugese (Brazilian) keyboards */
        case _ABNT_C2         :sName="";break;
	
	    /** '=' on numeric keypad (NEC PC98) */
        case _NUMPADEQUALS    :sName="";break;
	
	    /** Previous Track (DIK_CIRCUMFLEX on Japanese keyboard) */
        case _PREVTRACK       :sName="";break;
	
        /**                     (NEC PC98) */
	    case _AT              :sName="";break;
	
	    /**                     (NEC PC98) */
        case _COLON           :sName="";break;
	
	    /**                     (NEC PC98) */
        case _UNDERLINE       :sName="";break;
	
	    /** (Japanese keyboard)            */
        case _KANJI           :sName="";break;
	
	    /**                     (NEC PC98) */
        case _STOP            :sName="";break;
	
	    /**                     (Japan AX) */
        case _AX              :sName="";break;
	
	    /**                        (J3100) */
        case _UNLABELED       :sName="";break;
	
	    /** Next Track */
        case _NEXTTRACK       :sName="";break;
	
	    /** Enter on numeric keypad */
        case _NUMPADENTER     :sName="";break;
        case _RCONTROL        :sName="";break;
	
	    /** Mute */
        case _MUTE            :sName="";break;
	
	    /** Calculator */
        case _CALCULATOR      :sName="";break;
	
	    /** Play / Pause */
        case _PLAYPAUSE       :sName="";break;
	
	    /** Media Stop */
        case _MEDIASTOP       :sName="";break;
	
	    /** Volume - */
        case _VOLUMEDOWN      :sName="";break;
	
	    /** Volume + */
        case _VOLUMEUP        :sName="";break;
	
	    /** Web home */
        case _WEBHOME         :sName="";break;
	
	    /** ',' on numeric keypad (NEC PC98) */
        case _NUMPADCOMMA     :sName="";break;
	
	    
        case _SYSRQ           :sName="";break;
	
	    /** right Alt */
        case _RMENU           :sName="";break;
	
	    /** Pause */
        case _PAUSE           :sName="";break;
	
	    /** Home on arrow keypad */
        case _HOME            :sName="";break;
	
	    /** UpArrow on arrow keypad */
        case _UP              :sName="";break;
	
	    /** PgUp on arrow keypad */
        case _PRIOR           :sName="";break;
	
	    /** LeftArrow on arrow keypad */
        case _LEFT            :sName="LEFT";break;
	
	    /** RightArrow on arrow keypad */
        case _RIGHT           :sName="RIGHT";break;
	
	    /** End on arrow keypad */
        case _END             :sName="END";break;
	
	    /** DownArrow on arrow keypad */
        case _DOWN            :sName="DOWN";break;
	
	    /** PgDn on arrow keypad */
        case _NEXT            :sName="PGDN";break;
	
	    /** Insert on arrow keypad */
        case _INSERT          :sName="INSERT";break;
	
	    /** Delete on arrow keypad */
        case _DELETE          :sName="DELETE";break;
	
	    /** Left Windows key */
        case _LWIN            :sName="LEFTWIN";break;
	
	    /** Right Windows key */
        case _RWIN            :sName="RIGHTWIN";break;
	
	    /** AppMenu key */
        case _APPS            :sName="";break;
	
	    /** System Power */
        case _POWER           :sName="";break;
	
	    /** System Sleep */
        case _SLEEP           :sName="";break;
	
	    /** System Wake */
        case _WAKE            :sName="";break;
	
	    /** Web Search */
        case _WEBSEARCH       :sName="";break;
	
	    /** Web Favorites */
        case _WEBFAVORITES    :sName="";break;
	
	    /** Web Refresh */
        case _WEBREFRESH      :sName="";break;
	
	    /** Web Stop */
        case _WEBSTOP         :sName="";break;
	
	    /** Web Forward */
        case _WEBFORWARD      :sName="";break;
	
	    /** Web Back */
        case _WEBBACK         :sName="";break;
	
	    /** My Computer */
        case _MYCOMPUTER      :sName="";break;
	
	    /** Mail */
        case _MAIL            :sName="";break;
	
	    /** Media Select */
        case _MEDIASELECT     :sName="";break;
    
        /**Mouse Button1*/
        case _MOUSE_BUTTON1   :sName="";break;
    
        /**Mouse Button2*/
        case _MOUSE_BUTTON2   :sName="";break;
    
        /**Mouse Button3*/
        case _MOUSE_BUTTON3   :sName="";break;
                               
        case _MOUSE_WHEEL_DN  :sName="";break;
                               
        case _MOUSE_WHEEL_UP  :sName="";break;
        }
        
        return sName;
    }
//
// Alternate names for keys, to facilitate transition from DOS.
//
/*
#define DIK_BACKSPACE       DIK_BACK            // backspace
#define DIK_NUMPADSTAR      DIK_MULTIPLY        // * on numeric keypad
#define DIK_LALT            DIK_LMENU           // left Alt
#define DIK_CAPSLOCK        DIK_CAPITAL         // CapsLock
#define DIK_NUMPADMINUS     DIK_SUBTRACT        // - on numeric keypad
#define DIK_NUMPADPLUS      DIK_ADD             // + on numeric keypad
#define DIK_NUMPADPERIOD    DIK_DECIMAL         // . on numeric keypad
#define DIK_NUMPADSLASH     DIK_DIVIDE          // / on numeric keypad
#define DIK_RALT            DIK_RMENU           // right Alt
#define DIK_UPARROW         DIK_UP              // UpArrow on arrow keypad
#define DIK_PGUP            DIK_PRIOR           // PgUp on arrow keypad
#define DIK_LEFTARROW       DIK_LEFT            // LeftArrow on arrow keypad
#define DIK_RIGHTARROW      DIK_RIGHT           // RightArrow on arrow keypad
#define DIK_DOWNARROW       DIK_DOWN            // DownArrow on arrow keypad
#define DIK_PGDN            DIK_NEXT            // PgDn on arrow keypad
*/

}
/*
class EJoy
{

}


*/