
/** Type srodowiska dzwieku
 * Uwaga: Definicje musza byc zgodne z definicjami w Audio.h
 */

public class ESoundEnv
{
    final static int SOUNDENV_NONE = 0;
    final static int SOUNDENV_GENERIC = 1;
    final static int SOUNDENV_PADDEDCELL = 2;
    final static int SOUNDENV_ROOM = 3;
    final static int SOUNDENV_BATHROOM = 4;
    final static int SOUNDENV_LIVINGROOM = 5;
    final static int SOUNDENV_STONEROOM = 6;
    final static int SOUNDENV_AUDITORIUM = 7;
    final static int SOUNDENV_CONCERTHALL = 8;
    final static int SOUNDENV_CAVE = 9;
    final static int SOUNDENV_ARENA = 10;
    final static int SOUNDENV_HANGAR = 11;
    final static int SOUNDENV_CARPETTEDHALLWAY = 12;
    final static int SOUNDENV_HALLWAY = 13;
    final static int SOUNDENV_STONECORRIDOR = 14;
    final static int SOUNDENV_ALLEY = 15;
    final static int SOUNDENV_FOREST = 16;
    final static int SOUNDENV_CITY = 17;
    final static int SOUNDENV_MOUNTAINS = 18;
    final static int SOUNDENV_QUARRY = 19;
    final static int SOUNDENV_PLAIN = 20;
    final static int SOUNDENV_PARKINGLOT = 21;
    final static int SOUNDENV_SEWERPIPE = 22;
    final static int SOUNDENV_UNDERWATER = 23;
    final static int SOUNDENV_DRUGGED = 24;
    final static int SOUNDENV_DIZZY = 25;
    final static int SOUNDENV_PSYCHOTIC = 26;
    final static int SOUNDENV_CASTLE_SMALLROOM = 27;
    final static int SOUNDENV_CASTLE_SHORTPASSAGE = 28;
    final static int SOUNDENV_CASTLE_MEDIUMROOM = 29;
    final static int SOUNDENV_CASTLE_LONGPASSAGE = 30;
    final static int SOUNDENV_CASTLE_LARGEROOM = 31;
    final static int SOUNDENV_CASTLE_HALL = 32;
    final static int SOUNDENV_CASTLE_CUPBOARD = 33;
    final static int SOUNDENV_CASTLE_COURTYARD = 34;
    final static int SOUNDENV_CASTLE_ALCOVE = 35;
    final static int SOUNDENV_FACTORY_ALCOVE = 36;
    final static int SOUNDENV_FACTORY_SHORTPASSAGE = 37;
    final static int SOUNDENV_FACTORY_MEDIUMROOM = 38;
    final static int SOUNDENV_FACTORY_LONGPASSAGE = 39;
    final static int SOUNDENV_FACTORY_LARGEROOM = 40;
    final static int SOUNDENV_FACTORY_HALL = 41;
    final static int SOUNDENV_FACTORY_CUPBOARD = 42;
    final static int SOUNDENV_FACTORY_COURTYARD = 43;
    final static int SOUNDENV_FACTORY_SMALLROOM = 44;
    final static int SOUNDENV_ICEPALACE_ALCOVE = 45;
    final static int SOUNDENV_ICEPALACE_SHORTPASSAGE = 46;
    final static int SOUNDENV_ICEPALACE_MEDIUMROOM = 47;
    final static int SOUNDENV_ICEPALACE_LONGPASSAGE = 48;
    final static int SOUNDENV_ICEPALACE_LARGEROOM = 49;
    final static int SOUNDENV_ICEPALACE_HALL = 50;
    final static int SOUNDENV_ICEPALACE_CUPBOARD = 51;
    final static int SOUNDENV_ICEPALACE_COURTYARD = 52;
    final static int SOUNDENV_ICEPALACE_SMALLROOM = 53;
    final static int SOUNDENV_SPACESTATION_ALCOVE = 54;
    final static int SOUNDENV_SPACESTATION_MEDIUMROOM = 55;
    final static int SOUNDENV_SPACESTATION_SHORTPASSAGE = 56;
    final static int SOUNDENV_SPACESTATION_LONGPASSAGE = 57;
    final static int SOUNDENV_SPACESTATION_LARGEROOM = 58;
    final static int SOUNDENV_SPACESTATION_HALL = 59;
    final static int SOUNDENV_SPACESTATION_CUPBOARD = 60;
    final static int SOUNDENV_SPACESTATION_SMALLROOM = 61;
    final static int SOUNDENV_WOODEN_ALCOVE = 62;
    final static int SOUNDENV_WOODEN_SHORTPASSAGE = 63;
    final static int SOUNDENV_WOODEN_MEDIUMROOM = 64;
    final static int SOUNDENV_WOODEN_LONGPASSAGE = 65;
    final static int SOUNDENV_WOODEN_LARGEROOM = 66;
    final static int SOUNDENV_WOODEN_HALL = 67;
    final static int SOUNDENV_WOODEN_CUPBOARD = 68;
    final static int SOUNDENV_WOODEN_SMALLROOM = 69;
    final static int SOUNDENV_WOODEN_COURTYARD = 70;
    final static int SOUNDENV_SPORT_EMPTYSTADIUM = 71;
    final static int SOUNDENV_SPORT_SQUASHCOURT = 72;
    final static int SOUNDENV_SPORT_SMALLSWIMMINGPOOL = 73;
    final static int SOUNDENV_SPORT_LARGESWIMMINGPOOL = 74;
    final static int SOUNDENV_SPORT_GYMNASIUM = 75;
    final static int SOUNDENV_SPORT_FULLSTADIUM = 76;
    final static int SOUNDENV_SPORT_STADIUMTANNOY = 77;
    final static int SOUNDENV_PREFAB_WORKSHOP = 78;
    final static int SOUNDENV_PREFAB_SCHOOLROOM = 79;
    final static int SOUNDENV_PREFAB_PRACTISEROOM = 80;
    final static int SOUNDENV_PREFAB_OUTHOUSE = 81;
    final static int SOUNDENV_PREFAB_CARAVAN = 82;
    final static int SOUNDENV_DOME_TOMB = 83;
    final static int SOUNDENV_PIPE_SMALL = 84;
    final static int SOUNDENV_DOME_SAINTPAULS = 85;
    final static int SOUNDENV_PIPE_LONGTHIN = 86;
    final static int SOUNDENV_PIPE_LARGE = 87;
    final static int SOUNDENV_PIPE_RESONANT = 88;
    final static int SOUNDENV_OUTDOORS_BACKYARD = 89;
    final static int SOUNDENV_OUTDOORS_ROLLINGPLAINS = 90;
    final static int SOUNDENV_OUTDOORS_DEEPCANYON = 91;
    final static int SOUNDENV_OUTDOORS_CREEK = 92;
    final static int SOUNDENV_OUTDOORS_VALLEY = 93;
    final static int SOUNDENV_MOOD_HEAVEN = 94;
    final static int SOUNDENV_MOOD_HELL = 95;
    final static int SOUNDENV_MOOD_MEMORY = 96;
    final static int SOUNDENV_DRIVING_COMMENTATOR = 97;
    final static int SOUNDENV_DRIVING_PITGARAGE = 98;
    final static int SOUNDENV_DRIVING_INCAR_RACER = 99;
    final static int SOUNDENV_DRIVING_INCAR_SPORTS = 100;
    final static int SOUNDENV_DRIVING_INCAR_LUXURY = 101;
    final static int SOUNDENV_DRIVING_FULLGRANDSTAND = 102;
    final static int SOUNDENV_DRIVING_EMPTYGRANDSTAND = 103;
    final static int SOUNDENV_DRIVING_TUNNEL = 104;
    final static int SOUNDENV_CITY_STREETS = 105;
    final static int SOUNDENV_CITY_SUBWAY = 106;
    final static int SOUNDENV_CITY_MUSEUM = 107;
    final static int SOUNDENV_CITY_LIBRARY = 108;
    final static int SOUNDENV_CITY_UNDERPASS = 109;
    final static int SOUNDENV_CITY_ABANDONED = 110;
    final static int SOUNDENV_DUSTYROOM = 111;
    final static int SOUNDENV_CHAPEL = 112;
    final static int SOUNDENV_SMALLWATERROOM = 113;
}
