
public class GroupObject extends ControlObject
{
    /** Metoda zwraca identyfikator portalu dla podanej nazwy portalu. Niepoprawny
     * identyfikator 0.
     * @param sPortalName 
     * @return identyfikator potralu do uzycia w metodach OpenPortal, ClosePortal
     */
    public native int GetPortalID(String sPortalName);
    
    public native void OpenPortal(int iPortalID);
    public native void ClosePortal(int iPortalID);
    
    //bPrologDemo
    public native boolean IsPortal();
    
    public void Disappear(ControlObject cDestinationObj)
    {
        super.Disappear(cDestinationObj);
        
        //HACK - bo meshobject jest tez GroupObjectem a nie chcemy, 
        // zeby on wplywal na podlaczone obiekty 
        // (ale nie wiem czemu tak jest i czy mozna to zmienic /pshemo)
        if (getClass() == GroupObject.class)
        {
            ControlObject[] aChildren = GetChildren();
            if (aChildren != null)
                for (int i = 0; i < aChildren.length; i++)
                    aChildren[i].Disappear(cDestinationObj);
        }
    }

    public void Appear(ControlObject cDestinationObj)
    {
        super.Appear(cDestinationObj);
        
        //HACK - bo meshobject jest tez GroupObjectem a nie chcemy, 
        // zeby on wplywal na podlaczone obiekty 
        // (ale nie wiem czemu tak jest i czy mozna to zmienic /pshemo)
        if (getClass() == GroupObject.class)
        {
            ControlObject[] aChildren = GetChildren();
            if (aChildren != null)
                for (int i = 0; i < aChildren.length; i++)
                    aChildren[i].Appear(cDestinationObj);
        }
    }
}
