//#IGNORE_EXT_IMPL
public class MapInputStream extends java.io.FilterInputStream
{
    MapInputStream(java.io.InputStream cInputStream)
    {
        super(cInputStream);
    }
    
    /** Odczytanie inta
     */
    public int readInt() throws java.io.IOException
    {
        int a,b,c,d;
        a = read();
        b = read();
        c = read();
        d = read();                
        return ((d << 24) + (c << 16) + (b << 8) + (a << 0));
    }
    
    /** Odczytanie floata
     */
    public float readFloat() throws java.io.IOException
    {
        return Float.intBitsToFloat(readInt());
    }
    
    /** Odczytanie unsigned short
     */
    public int readUnsignedShort() throws java.io.IOException {
        int ch1 = read();
        int ch2 = read();
        if ((ch1 | ch2) < 0)
            throw new java.io.EOFException();
        return (ch1 << 8) + (ch2 << 0);
    }
    
    /** Odczytanie Stringa zapisanego przez fwritestring z C++
     */
    String readString() throws java.io.IOException
    {
        StringBuffer str = new StringBuffer();
        int nextchar = read();
        while ((nextchar != 0) && (nextchar != -1))
        {
            str.append((char)nextchar);
            nextchar = read();
        }
        return new String(str);
    }
}
