public class UIMenuButton extends UIButton
{
    boolean m_bPreviousElemPositioning = false;
    
	void OnCreate()
	{
		super.OnCreate();
		m_bCanFocus = true;
		m_bParentPositionig = true;	
	}
	
	/** Zwraca menu do ktorego nalezy 
	 */
	UIMenu GetMenu()
	{
		if(m_cSupervisor instanceof UIMenu)	
			return (UIMenu)m_cSupervisor;	
		else
			return null;  
	}
	
	boolean Load(ParseKeyword key)
	{
        ParseKeyword paramKey = null;
        for(paramKey=key.GetChild(); paramKey!=null; paramKey=paramKey.GetNext())
		{
            if (paramKey.Equals("PreviousElemPositioning"))
            {
                m_bPreviousElemPositioning = (paramKey.GetIParam(0) == 1);
            }
        }        
		return super.Load(key);
	}
	void SetFocus(boolean bActive)
	{
		super.SetFocus(bActive);	
	}

	void Copy(UIWindow cWndDest, UIWindow cWndSrc)
	{
		UIMenuButton cDest = (UIMenuButton)cWndDest;
		UIMenuButton cSrc = (UIMenuButton)cWndSrc;
		super.Copy(cDest,cSrc);
        cDest.m_bPreviousElemPositioning = cSrc.m_bPreviousElemPositioning;
	}

    void UpdateParentPos()
    {
        UIWindow cParent = m_wndParent;
        if (m_bPreviousElemPositioning)
        {
            if (cParent instanceof UIMenu)
            {
                for (int i = 0; i < ((UIMenu)m_wndParent).m_vMembers.size(); i++)
                {
                    UIWindow cMember = (UIWindow)((UIMenu)m_wndParent).m_vMembers.elementAt(i);
                    
                    if (cMember == this)
                    {
                        int j = i - 1;
                        while (j >= 0)
                        {
                            cMember = (UIWindow)((UIMenu)m_wndParent).m_vMembers.elementAt(j);
                            if (cMember instanceof UIMenuButton)
                            {
                                cParent = (UIWindow)cMember;
                                break;
                            }
                            j--;
                        }
                    }
                }
            }
        }
        if(cParent!=null)
        {
            if(cParent.m_bParentPositionig)
            {
                if (cParent == m_wndParent)
                    cParent.UpdateParentPos();
                m_vParentPos = new Vector(cParent.GetRealByParentX(), cParent.GetRealByParentY(), 0);				
            }
            else   
                m_vParentPos = new Vector(cParent.GetRealX(), cParent.GetRealY(), 0);
            
            m_vParentSize = new Vector(cParent.GetRealSize().fX, cParent.GetRealSize().fY, 0);	 	 
        }
        else
        {
            m_vParentPos = new Vector(0,0,0);
            m_vParentSize = new Vector(m_fDimX, m_fDimY, 0);
        }
    }
    
}
