public class UITool
{
	static boolean RegisteredPattern(String sType)
	{
      if( sType.equals("Window") ||
		  sType.equals("Static") ||
	      sType.equals("Button") ||	
	      sType.equals("MenuButton") ||
	      sType.equals("Menu") )
	   return true;	  
	 else
	    return false; 
	}
   
	static String GetBaseClass(UIWindow cWnd)
	{
	   if(cWnd instanceof UIMenu)
		   return "UIMenu";
	   if(cWnd instanceof UIMenuButton)
		   return "UIMenuButton";
	   if(cWnd instanceof UIButton)
		   return "UIButton";
	   if(cWnd instanceof UIControlObject)
		   return "UIControlObject";
	   if(cWnd instanceof UIStatic)
		   return "UIStatic";
	   if(cWnd instanceof UIWindow)
		   return "UIWindow";
	   return null;
	}
	
	static boolean IsPattern(UIWindow cWnd)
	{
	  return (cWnd.m_sId.equals(EUIConst.sWINDOW) ||
	       cWnd.m_sId.equals(EUIConst.sSTATIC) ||
           cWnd.m_sId.equals(EUIConst.sCONTROL_OBJECT) ||
           cWnd.m_sId.equals(EUIConst.sBUTTON) ||
           cWnd.m_sId.equals(EUIConst.sEDIT) ||
           cWnd.m_sId.equals(EUIConst.sMENUBUTTON) ||
           cWnd.m_sId.equals(EUIConst.sMENU)); 	
	 }
    static String PatternName(String sClassName)
	{
	   if(sClassName.equals("UIMenu"))
		   return "Menu";
	   if(sClassName.equals("UIMenuButton"))
		   return "MenuButton";
	   if(sClassName.equals("UIButton"))
		   return "Button";
	   if(sClassName.equals("UIControlObject"))
		   return "ControlObject";
	   if(sClassName.equals("UIStatic"))
		   return "Static";
	   if(sClassName.equals("UIWindow"))
		   return "Window";
	   return null;
	}
  	
}
