public class act_Appear extends Action
{
    {sEditorComment = "Action of change object state to (in)visible and (in)active";}
    
    public iact_Appear cTarget = null;//#;Object that state is to be modified
    public iact_Appear[] aTargets = null;//#;Objects that state is to be modified
    
    public EnumAppear cType = new EnumAppear(EnumAppear._APPEAR);//#;Type of action
    
	public ControlObject cDestinationObject = null;//#;Where object is to be moved during this action
	
    public void OnPostCreate()
    {
        super.OnPostCreate();
        
        if(cTarget != null)
        {
            ((GameObject)cTarget).bSG = true;
        }
        
        if(aTargets != null)
        {
            for(int i=0; i<aTargets.length; ++i)
                if(aTargets[i] instanceof GameObject)
                    ((GameObject)aTargets[i]).bSG = true;
        }
    }
    
    public void InvokeAction()
    {
        int nType = cType.GetValue();
        
        if(cTarget != null)
        {
            if(nType == EnumAppear._APPEAR) cTarget.Appear(cDestinationObject);
            if(nType == EnumAppear._DISAPPEAR) cTarget.Disappear(cDestinationObject);
        }
        
        if(aTargets != null)
        {
            for(int i=0; i<aTargets.length; ++i)
            {
                //TODO zrobic ustawianie wzgledem srodka dla calej grupy
                if(nType == EnumAppear._APPEAR)
                    if(aTargets[i] != null) 
                        aTargets[i].Appear(null /*cDestinationObject*/);
                
                if(nType == EnumAppear._DISAPPEAR)
                    if(aTargets[i] != null) aTargets[i].Disappear(cDestinationObject);
            }
        }
    }
}
