public class act_OpenClose extends Action
{
    {sEditorComment = "Action of opening object specified by cTarget";}
    
    /** Typ akcji */
    public EnumOpenClose cType = new EnumOpenClose(EnumOpenClose._TOGGLE);//#
        
    /** Obiekt do ktorego zostanie przeslana akcja */
    public iact_OpenClose cTarget = null;//#
    
    public iact_OpenClose[] aTargets = null;//#
    
    public void InvokeAction()
    {
        int nType = cType.GetValue();

        if(cTarget != null)
        {
            if( nType == EnumOpenClose._OPEN) cTarget.Open();
            if( nType == EnumOpenClose._CLOSE) cTarget.Close();
            if( nType == EnumOpenClose._TOGGLE) cTarget.ToggleOpenClose();
        }
        
        if(aTargets != null)
        {
            if( nType == EnumOpenClose._OPEN)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].Open();
            
            if( nType == EnumOpenClose._CLOSE)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].Close();
            
            if( nType == EnumOpenClose._TOGGLE)
                for(int i=0; i<aTargets.length; ++i)
                    if(aTargets[i] != null) aTargets[i].ToggleOpenClose();
        }
    }
}
