public class act_PlaySound extends Action
{
    {sEditorComment = "Plays specified sound .wav or .ogg";}
    
    /** Nazwa wava */
    public FileName sSoundFile = null;//#;
    
    /** Czas po jakim wylaczyc wave'a */
    public float fDuration = 0.0f;//#;Time when stop wave, 0.0 means play all
    
    int nWave = 0;
    
    void InvokeAction()
    {
        PlaySoundInternal();
    }
    
    void PlaySoundInternal()
    {
        if(sSoundFile != null)
        {
            nWave = PlayWave(sSoundFile.toString());
            if(fDuration > 0.0f) CallMethodIn("StopSoundWave", fDuration);
        }
    }
    
    void StopSoundWave()
    {
        if(nWave != 0)
        {
            if( IsPlayingWave(nWave) ) StopWave(nWave);
        }
    }
    
    long l_nWavePos = -1;
    public void OnAudioPreReinitialize()
    {
        if(nWave != 0 && IsPlayingWave(nWave) )
        {
            l_nWavePos = GetPlayingWavePos(nWave);
        }
    }
    
    public void OnAudioReinitialize()
    {
        
        if (l_nWavePos != -1)
        {
            nWave = PlayWaveFromPos(sSoundFile.toString(), l_nWavePos);
        }
        
        l_nWavePos = -1;
    }
}