public class FXLaserBeam extends FX
{
    FXLaserBeam()
    {
        //czerwony
        Sequence("LaserBeamRed");
        {
            SeqDuration(100000);
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamRed");
                
                Rotation();
                {
                    v(-90, 0, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamRed");
                
                Rotation();
                {
                    v(-90, 90, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
        }
        
        //niebieski
        Sequence("LaserBeamBlue");
        {
            SeqDuration(100000);
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamBlue");
                
                Rotation();
                {
                    v(-90, 0, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamBlue");
                
                Rotation();
                {
                    v(-90, 90, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
        }
        
        //zielony
        Sequence("LaserBeamGreen");
        {
            SeqDuration(100000);
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamGreen");
                
                Rotation();
                {
                    v(-90, 0, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamGreen");
                
                Rotation();
                {
                    v(-90, 90, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
        }
        
        //zolty
        Sequence("LaserBeamYellow");
        {
            SeqDuration(100000);
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamYellow");
                
                Rotation();
                {
                    v(-90, 0, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamYellow");
                
                Rotation();
                {
                    v(-90, 90, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
        }
        
        //bialy
        Sequence("LaserBeamWhite");
        {
            SeqDuration(100000);
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamWhite");
                
                Rotation();
                {
                    v(-90, 0, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
            Expl();
            {   
                TowardsToCamera(0);
                Texture("FXTexLaserBeamWhite");
                
                Rotation();
                {
                    v(-90, 90, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
        }

        //zolty(zawsze widoczny - No Depth Test)
        Sequence("LaserBeamYellowNDT");
        {
            SeqDuration(100000);
            Expl();
            {   
                DepthTestDisable();
                TowardsToCamera(0);
                Texture("FXTexLaserBeamYellow");
                
                Rotation();
                {
                    v(-90, 0, 0);
                }  

                Size();
                {
                    vDyn( "fFXSizeX", "fFXSizeY");
                }
                
                Position();
                {
                    vDyn("fFXZero","fFXZero", "fFXPosY");
                }                

                Duration(100000);
                BlendMode(_BLEND_ADD);
            }
        }        
    }
}
