/**Klasa obslugujaca operacje na wektorach 3 elementowych. Przydatna w
 * operacjach dotyczacych pozycji, predkosci, orientacji w przestrzeni
 * itp. Najczesciej traktowany jako wektor wspolrzednych (x,y,z).*/
class Vector
{
    /*
    boolean bAvailable = true;
    static final int nInstances = 5000;
    static Vector aInstances[] = new Vector[nInstances];
    static void Init()
    {
        for(int i=0; i<nInstances; i++)
            aInstances[i] = new Vector();
    }
    
    static Vector Create()
    {
        for(int i=0; i<nInstances; i++)
        {
            if(aInstances[i].bAvailable)
            {
                aInstances[i].bAvailable = false;
                return aInstances[i];
            }
        }
        return null;
    }

    void Delete()
    {
        bAvailable = true;
        Set(0,0,0);
    }
    */

    static public int num_vectors = 0;
    static public boolean count = false;
    
    static public int num_vectors2 = 0;
    static public boolean count2 = false;
    
    static public int num_vectors3 = 0;
    static public boolean count3 = false;
    
    static public int num_vectors4 = 0;
    static public boolean count4 = true;

    static public int num_vectors_all = 0;
    static public boolean count_all = true;
    
    static public int num_vectors_c = 0;
    
    static public boolean dump = false;
    
    boolean from_c = false;
/*
    protected void finalize() throws Throwable
    {
        super.finalize();
        if (from_c)
            --num_vectors_c;
        else
            --num_vectors;
    }
*/
    public void its_from_c()
    {
        from_c = true;
        ++num_vectors_c;
        //--num_vectors;
    }

    
	/**Konstruktor domyslny, ustawia wektor na (0,0,0).*/
	Vector() { fX=0; fY=0; fZ=0; if(count) ++num_vectors; if(count2) ++num_vectors2; if(count3) ++num_vectors3; if(count4) ++num_vectors4; if(count_all) ++num_vectors_all; if (dump) Thread.dumpStack(); }
	
	/**Konstruktor okreslajacy poczatkowa wartosc wspolrzednych wektora.
	 * @param x pierwsza wspolrzedna (<code>float</code>)
	 * @param y druga wspolrzedna (<code>float</code>)
	 * @param z trzecia wspolrzedna (<code>float</code>)
	 * */
	Vector(float x, float y, float z) { fX=x; fY=y; fZ=z; if(count) ++num_vectors; if(count2) ++num_vectors2; if(count3) ++num_vectors3; if(count4) ++num_vectors4; if(count_all) ++num_vectors_all; if (dump) Thread.dumpStack();}

    /** Konstruktor kopiujacy
     */
    Vector(Vector v) { fX=v.fX; fY=v.fY; fZ=v.fZ; if(count) ++num_vectors; if(count2) ++num_vectors2; if(count3) ++num_vectors3; if(count4) ++num_vectors4; if(count_all) ++num_vectors_all; if (dump) Thread.dumpStack();}
    
    /** Konstruktor pobierajacy wartosci wektora ze streama z mapa gry.
     * Do wykorzystania w metodzie void OnLoadChunk(int nChkID, int nDataSize, MapInputStream cMapStream)
     * @param cStream strumien danych z mapa gry
     */
    Vector(MapInputStream cStream) throws java.io.IOException
    {
        fX=cStream.readFloat();
        fY=cStream.readFloat();
        fZ=cStream.readFloat();
        if(count) ++num_vectors; if(count2) ++num_vectors2; if(count3) ++num_vectors3; if(count4) ++num_vectors4; if(count_all) ++num_vectors_all;
        if (dump) Thread.dumpStack();
    }
    
	/**Wspolrzedna wektora*/
	float fX, fY, fZ;

	// statyczne memebery do defaultowych wektorow
	/**Standardowy wektor "w gore".*/
	static Vector Up=new Vector(0, 1.0f, 0);
    
    /**Standardowy wektor "w dol".*/
    static Vector Down=new Vector(0, -1.0f, 0);
	
	/**Standardowy wektor "w prawo".	 */
	static Vector Right=new Vector(1.0f, 0, 0);
    
    /**Standardowy wektor "w lewo".	 */
    static Vector Left=new Vector(-1.0f, 0, 0);
	
	/**Standardowy wektor "w przod".	 */
	static Vector Forward=new Vector(0, 0, 1.0f);
    
    /**Standardowy wektor "w tyl".	 */
    static Vector Backward=new Vector(0, 0, -1.0f);

    /** Standarodwy wektor zero */
    static Vector Zero=new Vector();
    
    /** Ustawia wektor na wartosci z podanego wektora
     */
    Vector Set(Vector vect)
    {
        fX=vect.fX;
        fY=vect.fY;
        fZ=vect.fZ;
        return this;
    }
    
    /** Ustawia wektor na podane wspolrzedne
     */
    Vector Set(float x, float y, float z)
    {
        this.fX=x;
        this.fY=y;
        this.fZ=z;
        return this;
    }
    
    /** Zeruje wektor
     */
    void Zero()
    {
        fX = fY = fZ = 0;
    }
	
	/** ustala dlugosc wektora	 
	 *  @param fLen nowa dlugosc */
	void SetLen(float fLen)
	{
		Normalize();
		Mul(fLen);
	}
    
	/**Daje wynik sumy danego wektora i wektora (<code>vRight</code>), 
	 * dany wektor nie jest modyfikowany.
	 * @param vRight dodawany wektor (<code>Vector</code>)
	 * @param vResult wynik sumy wektorow (<code>Vector</code>)*/
	void Add(Vector vRight, Vector vResult)
	{

        vResult.fX=fX+vRight.fX; vResult.fY=fY+vRight.fY; vResult.fZ=fZ+vRight.fZ;
	}

	void Sub(Vector vRight)
	{
		fX = fX - vRight.fX;
		fY = fY - vRight.fY;
		fZ = fZ - vRight.fZ;
	}	
	
    /**???Daje wynik Vector'a odejmuje wektor (<code>vRight</code>).
	 * @param vRight odejmowany wektor (<code>Vector</code>)
	 * @param vResult wynik sumy wektorow (<code>Vector</code>)*/
	void Sub(Vector vRight, Vector vResult)
	{
		vResult.fX=fX-vRight.fX; vResult.fY=fY-vRight.fY; vResult.fZ=fZ-vRight.fZ;
	}

    /**Odwraca wektor. */
    void Negate()
    {
        fX = -fX;
        fY = -fY;
        fZ = -fZ;
    }
    
    /**Odwraca podany wektor
	 * @param v wektor (<code>Vector</code>)
	 */
    void Negate(Vector v)
    {
        fX = -v.fX;
        fY = -v.fY;
        fZ = -v.fZ;
    }
    
	/**Daje wynik iloczynu danego wektora i wektora (<code>vRight</code>), 
	 * dany wektor nie jest modyfikowany.
	 * @param vRight wektor przez ktory mnozymy (<code>Vector</code>)
	 * @param vResult wynik iloczynu wektorow (<code>Vector</code>)*/
	void Mul(Vector vRight, Vector vResult)
	{
		vResult.fX=fX*vRight.fX; vResult.fY=fY*vRight.fY; vResult.fZ=fZ*vRight.fZ;
	} 
	
	/**Daje wynik mnozenia danego wektora przez liczbe (<code>fValue</code>),
	 * dany wektor nie jest modyfikowany.
	 * @param fValue liczba przez ktora mnozymy (<code>float</code>)
	 * @param vResult wynik iloczynu (<code>Vector</code>)*/
	void Mul(float fValue, Vector vResult)
	{
		vResult.fX=fX*fValue; vResult.fY=fY*fValue; vResult.fZ=fZ*fValue;
	}

	/**Do danego wektora dodaje wektor (<code>vRight</code>).
	 * @param vRight dodawany wektor (<code>Vector</code>)*/
	void Add(Vector vRight)
	{
		fX=fX+vRight.fX;
		fY=fY+vRight.fY;
		fZ=fZ+vRight.fZ;
	}

	/**Mnozy dany wektor przez liczbe
	 * @param fValue liczba przez ktora mnozymy (<code>float</code>)
	 */
	void Mul(float fValue)
	{
		fX=fX*fValue;
		fY=fY*fValue;
		fZ=fZ*fValue;
	}
	
    // pomocnicza zmienna do wykonywania szybkich obliczen
    static private Vector vTemp = new Vector();
    
	/** Rzutuje wektor na podany kierunek, wyznaczony przez inny wektor
	 *  @vDir - dowolny wektor wyznaczajacy docelowy kierunek	 */
	void ProjVector(Vector vDir)
	{
        vTemp.Set(vDir);
		vTemp.Normalize();
		float fNewLen = this.Dot(vTemp); 
		Set(vTemp);  // ustawia w kierunku
		Mul(fNewLen); // nadaje odpowiednia dlugosc
	}

//===================================================================
//  Arytmetyka wektorow
    
    Vector Mul2(float fValue)
    {
        return new Vector(fX*fValue, fY*fValue, fZ*fValue);
    }

    Vector Add2(Vector v)
    {
        return new Vector(fX+v.fX, fY+v.fY, fZ+v.fZ);
    }

    Vector Sub2(Vector v)
    {
        return new Vector(fX-v.fX, fY-v.fY, fZ-v.fZ);
    }
    
    Vector Negate2()
    {
        return new Vector(-fX, -fY, -fZ);
    }
    
    Vector Normalize2()
    {
        return Mul2(1.0f/Len());
    }
//===================================================================

    /**Zaokragla skladowe wektora do najblizszego inta*/
    void Round()
    {
        fX = (float)Math.round(fX);
        fY = (float)Math.round(fY);
        fZ = (float)Math.round(fZ);
    }

	/** Zwraca dlugosc danego wektora.
	 * @return dlugosc wektora*/
	float Len()
	{
		return (float) java.lang.Math.sqrt(fX * fX + fY * fY + fZ * fZ);
	}
	
	/**Zwraca dlugosc danego wektora podniesiona do kwadratu.
	 * @return dlugosc wektora podniesiona do kwadratu*/
	float Len2()
	{
		return (float) fX * fX + fY * fY + fZ * fZ;
	}
	
	/**Normalizuje dany wektor.*/
	void Normalize()
	{
		float fLen = (float) java.lang.Math.sqrt(fX * fX + fY * fY + fZ * fZ);
		if (fLen != 0.0f)
		{
			fX = fX / fLen;	
			fY = fY / fLen;	
			fZ = fZ / fLen;	
		}
	}
	
	static Vector Cross(Vector v1, Vector v2)
	{
		Vector vRet = new Vector(v1.fY * v2.fZ - v2.fY * v1.fZ,
								 v1.fZ * v2.fX - v2.fZ * v1.fX,
								 v1.fX * v2.fY - v2.fX * v1.fY);
		return vRet;
	}

	Vector Cross(Vector v1)
	{
		Vector vRet = new Vector(this.fY * v1.fZ - v1.fY * this.fZ,
								 this.fZ * v1.fX - v1.fZ * this.fX,
								 this.fX * v1.fY - v1.fX * this.fY);
		return vRet;
	}
    
    void CrossStatic(Vector v1, Vector vRes)
    {
        float x = this.fY * v1.fZ - v1.fY * this.fZ;
		float y = this.fZ * v1.fX - v1.fZ * this.fX;
		float z = this.fX * v1.fY - v1.fX * this.fY;
        vRes.Set(x,y,z);
    }
	
	static float Dot(Vector v1, Vector v2)
	{
		return v1.fX * v2.fX + v1.fY * v2.fY + v1.fZ * v2.fZ;
	}
	
	float Dot(Vector v1)
	{
		return v1.fX * this.fX + v1.fY * this.fY + v1.fZ * this.fZ;
	}
    
    public String toString()
    {
        return "("+fX+", "+fY+", "+fZ+")";
    }

    boolean IsEqual(Vector vect)
    {
        return (vect.fX==fX) && (vect.fY==fY) && (vect.fZ==fZ);
    }
    
	/** Odleglosc miedzy punktami
     */
	float Distance(Vector right)
	{
        return (float)java.lang.Math.sqrt((right.fX - this.fX) * (right.fX - this.fX) + 
                                   (right.fY - this.fY) * (right.fY - this.fY) + 
                                   (right.fZ - this.fZ) * (right.fZ - this.fZ));
		/*Vector v = new Vector(right.fX - this.fX,
							  right.fY - this.fY,
							  right.fZ - this.fZ);
		return (v.Len());*/
        
	}
    
    /** Odleglosc miedzy punktami do kwadratu
     */
	float Distance2(Vector right)
	{
        return ((right.fX - this.fX) * (right.fX - this.fX) + 
			    (right.fY - this.fY) * (right.fY - this.fY) + 
			    (right.fZ - this.fZ) * (right.fZ - this.fZ));
		/*Vector v = new Vector(right.fX - this.fX,
							  right.fY - this.fY,
							  right.fZ - this.fZ);
		return (v.Len2());*/
	}
	
	boolean WriteToDisk(java.io.DataOutputStream out)
	{
		try
		{
			out.writeFloat(fX);
			out.writeFloat(fY);
			out.writeFloat(fZ);
		}
		catch  (java.io.IOException e)
		{
			Game.LogLine("Vector::WriteToDisk() error !!!");
			return false;
		}
		return true;
	}
	
	boolean ReadFromDisk(java.io.DataInputStream in)
	{
		try
		{
			fX = in.readFloat();
			fY = in.readFloat();
			fZ = in.readFloat();
		}
		catch  (java.io.IOException e)
		{
			Game.LogLine("Vector::ReadFromDisk() error !!!");
			return false;
		}
			return true;
	}
	
	static boolean sWriteToDisk(java.io.DataOutputStream out, Vector v)
	{
		try
		{
			if (v == null)
			{
				out.writeBoolean(false);
				return true;
			}
			else
				out.writeBoolean(true);
			
			out.writeFloat(v.fX);
			out.writeFloat(v.fY);
			out.writeFloat(v.fZ);
		}
		catch  (java.io.IOException e)
		{
			Game.LogLine("Vector::sWriteToDisk() error !!!");
			return false;
		}
		return true;
	}
	
	static Vector sReadFromDisk(java.io.DataInputStream in)
	{
		Vector v = null;
		
		try
		{
			if (!in.readBoolean())
				return v;
			
			v = new Vector();
			
			v.fX = in.readFloat();
			v.fY = in.readFloat();
			v.fZ = in.readFloat();
		}
		catch  (java.io.IOException e)
		{
			Game.LogLine("Vector::sReadFromDisk() error !!!");
			return null;
		}
			return v;
	}
	
	
}
